package com.sy.coinage.sys.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.model.*;
import com.sy.coinage.sys.vo.DeptListVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * -部门Dao
 */
public interface DeptDao extends BaseMapper<Dept> {

    IPage<DeptListVO> queryPageList(Page<DeptListVO> page,
                    @Param(Constants.WRAPPER) LambdaQueryWrapper<Dept> queryWrapper);

    List<DeptListVO> queryList(@Param(Constants.WRAPPER) LambdaQueryWrapper<Dept> queryWrapper);

    List<OptVO> queryOptList(@Param(Constants.WRAPPER) LambdaQueryWrapper<Dept> queryWrapper);

}
