package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Range;

/**
 * 租户管理员-部门查询请求bean
 */
@Getter
@Setter
public class AdminDeptListReq extends DeptListReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户Id")
    @Range(min = 1)
    private Integer tenantId;

}
