package com.sy.coinage.sys.req;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * 角色查询请求bean
 */
@Getter
@Setter
public class RoleListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 状态 1可用 2禁用 -3
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    private Integer status;

    @ApiModelProperty(value = "租户id")
    @TableField(value = "tenant_id")
    private Integer tenantId;

}
