package com.sy.coinage.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author liuhong
 * @date 2023/12/23 11:31
 */

@Data
@Component
@ConfigurationProperties(prefix = PrinterConfig.CONFIG_PREFIX)
public class PrinterConfig {

    public static final String CONFIG_PREFIX = "printer";

    private String ipAddress;

    private int port;
}
