package com.sy.coinage.core.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * -通用上传文件响应vo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FileVO {

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String name;
    /**
     * 下载url
     */
    @ApiModelProperty(value = "下载url")
    private String url;

}
