package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
//import io.swagger.annotations.ApiModel;
//import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("rfid_screen_data")
//@ApiModel(value="大屏数据管理表实体类", description="大屏数据管理表")
public class ScreenData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    //    @ApiModelProperty(value = "品名id")
    @TableField(value = "securities_id")
    private Integer securitiesId;

    //    @ApiModelProperty(value = "产品名称")
    @TableField(value = "securities")
    private String securities;

    //    @ApiModelProperty(value = "仓库id")
    @TableField(value = "ware_id")
    private Integer wareId;

    //    @ApiModelProperty(value = "仓库")
    @TableField(value = "ware_cn")
    private String wareCn;

    //    @ApiModelProperty(value = "当前库存(箱)")
    @TableField(value = "qty")
    private Integer qty;

    //    @ApiModelProperty(value = "今日入库(箱)")
    @TableField(value = "day_in_qty")
    private Integer dayInQty;

    //    @ApiModelProperty(value = "今日出库(箱)")
    @TableField(value = "day_out_qty")
    private Integer dayOutQty;

    //    @ApiModelProperty(value = "状态 1可用 2禁用")
    @TableField(value = "status")
    private Integer status;
}
