package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class DeliveryJumpOptReq {

    @ApiModelProperty(value = "品名ID")
    @NotNull(message = "品名不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "跳号类型 1开始跳号 2结束跳号", required = true)
    @NotNull(message = "跳号类型不能为空")
    private Integer type;

}
