package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class OrderNoReq {

    @ApiModelProperty(value = "单号")
    @NotBlank(message = "单号不能为空")
    private String orderNo;

    @ApiModelProperty(value = "返检操作标识 1:主库返检出库 2:车间返检入库")
//    @NotNull(message = "返检操作标识不能为空")
    private Integer opFlag;

}
