package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -大屏数据管理表查询请求bean
 */
@Getter
@Setter
public class ScreenDataListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "品名id")
    private Integer securitiesId;

    @ApiModelProperty(value = "产品名称")
    private String securities;

    @ApiModelProperty(value = "仓库id")
    private Integer wareId;

    @ApiModelProperty(value = "仓库")
    private String wareCn;

    @ApiModelProperty(value = "当前库存(箱)")
    private Integer qty;

    @ApiModelProperty(value = "今日入库(箱)")
    private Integer dayInQty;

    @ApiModelProperty(value = "今日出库(箱)")
    private Integer dayOutQty;

    @ApiModelProperty(value = "状态 1可用 2禁用")
    private Integer status;

}
