package com.sy.coinage.workshop.req;

import com.sy.coinage.core.req.PageReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 品名请求bean
 */
@Data
public class ShopWareAccountExpReq extends PageReq {

    @ApiModelProperty(value = "品名ID", required = true)
    @NotNull(message = "品名ID不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "仓库ID", required = true)
    @NotNull(message = "仓库ID不能为空")
    private Integer wareId;

    @ApiModelProperty(value = "库位类型 2封箱成品 3剔除品", required = true)
    @NotNull(message = "库位类型不能为空")
    private Integer type;

}
